ggiSetTextMode(3)

NAME
ggiSetTextMode, ggiSetGraphMode, ggiSetSimpleMode : Set a specific type of mode on a visual [DEPRECATED]

SYNOPSIS
#include <ggi/ggi.h>
int ggiSetTextMode(ggi_visual_t visual, int cols, int rows,
                   int vcols, int vrows, int fontx, int fonty,
                   ggi_graphtype type);
int ggiSetGraphMode(ggi_visual_t visual, int x, int y,
                    int xv, int yv, ggi_graphtype type);
int ggiSetSimpleMode(ggi_visual_t visual, int xsize, int ysize,
                     int frames, ggi_graphtype type);

DESCRIPTION
    Important: These functions are DEPRECATED and may be removed from a future version of GGI.
ggiSetTextMode, ggiSetGraphMode and ggiSetSimpleMode are convenient versions of ggiSetMode(3) that take the mode parameters as integer arguments rather than as a ggi_mode(3) struct that the application has to fill out. Otherwise, they are functionally equivalent to ggiSetMode(3) function, and the same mode-setting semantics apply, except the changed ggi_mode(3) cannot be seen.

RETURN VALUE
The functions return 0 if the mode is set successfully, otherwise an ggi-error(3) code.

NOTES
Do not set a mode before checking it. You may be able to set up a certain mode on one target, but not other targets. See the example in ggiCheckMode(3).

SEE ALSO
ggiCheckMode(3), ggiGetMode(3), ggiOpen(3), ggiSetMode(3), ggi_mode(3)